#
# spec file for package rubygem-knife-solo
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-knife-solo
Version:        0.6.0
Release:        1.1
%define mod_name knife-solo
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{ruby}
BuildRequires:  ruby-macros >= 5
Url:            http://matschaffer.github.io/knife-solo/
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        A collection of knife plugins for dealing with chef solo
License:        MIT
Group:          Development/Languages/Ruby

%description
Handles bootstrapping, running chef solo, rsyncing cookbooks etc.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGELOG.md LICENSE README.rdoc" \
  -f

%gem_packages

%changelog
* Tue May 24 2016 coolo@suse.com
- updated to version 0.6.0
  see installed CHANGELOG.md
  [#] 0.6.0 / 2016-05-23
  [#]# Changes and new features
  * Added support for Mac OS 10.10 ([456][])
  * **BREAKING** Updated ssh key argument to `--ssh-identity-file` to match new knife conventions
  [#]# Fixes
  * Loosen net-ssh requirement to gain compatibility with newer ChefDK releases ([481][])
  * Ensure non-interactive mode on Debian x86 boostrap ([471][])
  * Include user and port in control path ([468][])
  * Default control master to "no" when running from cygwin ([453][])
  * Use hashed control path (requires recent openssh) ([470][])
  * Pass node name down to solo.rb (forward port from 0.4.3) ([452][])
  * Use `const_get` to help spot bootstrap detection errors more easily ([467][])
  [#]# Thanks to our contributors!
  * [Austin Schutz][aaadschutz]
  * [Shawn Xu][xunnanxu]
  * [Derek Tamsen][derektamsen]
  * [Przemysław Dąbek][szemek]
  * [Mark Woods][thickpaddy]
  * [Tomohiko IIDA][iidatomohiko]
  * [Jeroen Jacobs][jeroenj]
  [470]: https://github.com/matschaffer/knife-solo/issues/470
  [456]: https://github.com/matschaffer/knife-solo/issues/456
  [481]: https://github.com/matschaffer/knife-solo/issues/481
  [471]: https://github.com/matschaffer/knife-solo/issues/471
  [468]: https://github.com/matschaffer/knife-solo/issues/468
  [453]: https://github.com/matschaffer/knife-solo/issues/453
  [452]: https://github.com/matschaffer/knife-solo/issues/452
  [467]: https://github.com/matschaffer/knife-solo/issues/467
* Sat Aug 29 2015 coolo@suse.com
- updated to version 0.5.1
  see installed CHANGELOG.md
  [#] 0.5.1 / 2015-08-28
  Re-release of 0.5.0 for test & doc fixes.
  [#] 0.5.0 / 2015-08-28
  [#]# Changes and new features
  * Configurable cygwin prefixes ([378][])
  * Configurable sudo command ([394][])
  * SSH keepalive support, required bump to Chef >=10.20 ([288][], [404][])
  * Configurable secret file location ([412][])
  * Allow passing options to Berkshelf (>=3 only) ([369][])
  * Arch Linux support ([389][], [393][], [396][])
  * Manjaro Linux support ([414][])
  * Debian 8 support ([436][])
  * Use control sockets to speed up rsync transfers ([440][])
  * Support for ohai hints ([339][])
  [#]# Fixes
  * Updates for Berkshelf 3 ([376][], [405][])
  * Better warnings for berkshelf/librarian ([383][])
  * Show chef command during run output ([401][])
  * Make `ssl_verify_mode` `:verify_peer` by default ([413][])
  * Avoid copying local http proxy info to node's knife.rb ([421][])
  [#]# Thanks to our contributors!
  * [Ivan Tanev][VanTanev]
  * [Masato Ikeda][a2ikm]
  * [Graham Lyus][grahamlyus]
  * [Oleg Selin][OlegPS]
  * [Todd Willey][xtoddx]
  * [DQNEO][DQNEO]
  * [Kevin McAllister][mclazarus]
  * [Yoz (Jeremy) Grahame][yozlet]
  * [Nori Yoshioka][noric]
  * [Josh Yotty][jyotty]
  * [Markus Kern][makern]
  * [esio][es1o]
  * [Evgeny Vereshchagin][evverx]
  * [Tomo Masakura][masakura]
  * [Iavael][iavael]
  * [Patrick Connolly][patcon]
  * [Markus Kern][makern]
  [378]: https://github.com/matschaffer/knife-solo/issues/378
  [376]: https://github.com/matschaffer/knife-solo/issues/376
  [383]: https://github.com/matschaffer/knife-solo/issues/383
  [389]: https://github.com/matschaffer/knife-solo/issues/389
  [393]: https://github.com/matschaffer/knife-solo/issues/393
  [396]: https://github.com/matschaffer/knife-solo/issues/396
  [394]: https://github.com/matschaffer/knife-solo/issues/394
  [401]: https://github.com/matschaffer/knife-solo/issues/401
  [405]: https://github.com/matschaffer/knife-solo/issues/405
  [288]: https://github.com/matschaffer/knife-solo/issues/288
  [404]: https://github.com/matschaffer/knife-solo/issues/404
  [413]: https://github.com/matschaffer/knife-solo/issues/413
  [412]: https://github.com/matschaffer/knife-solo/issues/412
  [414]: https://github.com/matschaffer/knife-solo/issues/414
  [421]: https://github.com/matschaffer/knife-solo/issues/421
  [369]: https://github.com/matschaffer/knife-solo/issues/369
  [436]: https://github.com/matschaffer/knife-solo/issues/436
  [440]: https://github.com/matschaffer/knife-solo/issues/440
  [339]: https://github.com/matschaffer/knife-solo/issues/339
* Mon Feb  9 2015 coolo@suse.com
- updated to version 0.4.2
  [#]# Changes and new features
  * SSH agent forwarding support ([328][], [347][], [358][])
  * SSH gateway support ([8d1f4f8][])
  * Support non-bash shells (csh, sh, dash, bash, and fish) ([351][])
  * Add `node_name` & `ssl_verify_mode` to `solo.rb` ([359][], [363][])
  * Store IP address in generated node file ([360][])
  * openSUSE 13 support ([352][])
  * Mavericks support ([356][])
  [#]# Fixes
  * Avoid Net::SSH auto-reading default openssh configs when an ssh config file is used ([341][])
* Mon Dec  9 2013 coolo@suse.com
- updated to version 0.4.1
  [#]# Changes and new features
  * Support Oracle Enterprise Linux ([311][])
  * Support Arch Linux ([327][])
  * Make sure wget is installed on Debianoids ([320][])
  [#]# Fixes
  * Explicitly set root path for default `*_path` options in Chef 11.8.0 ([308][])
  * Verify that `node_path` is a String ([308][])
  * Fix compatibility with Ruby 1.8 ([0bcae4a][])
* Thu Oct 31 2013 coolo@suse.com
- updated to version 0.4.0
  [#]# Changes and new features
  * Add SSH option --[no-]host-key-verify ([274])
  * Add --no-sync option to skip syncing and only run Chef ([284])
  * Use Omnibus installer for Debian 7 ([287])
  * Support Raspbian ([295])
  * Support environments (from Chef 11.6.0 on) ([285])
  [#]# Fixes
  * Cache SSH connections ([265])
  * Support Berkshelf 3.0 ([268])
  * Follow symlinks when uploading kitchen ([279], [289])
  * Quote rsync paths to avoid problems with spaces in directory names ([281], [286])
  * Fix precedence of automatic cookbook_path components ([296], [298])
  * Print an error message if a `*_path` configuration value is not a String ([278], [300])
  * Mention knife-solo_data_bag gem in the docs ([83])
  * Pin to ffi 1.9.1 due to issues with newer versions
  * Docs around berkshelf and librarian-chef integrations
  [#]# Thanks to our contributors!
  * [Andreas Josephson][teyrow]
  * [Markus Kern][makern]
  * [Michael Glass][michaelglass]
  * [Mathieu Allaire][allaire]
  [83]:  https://github.com/matschaffer/knife-solo/issues/83
  [265]: https://github.com/matschaffer/knife-solo/issues/265
  [268]: https://github.com/matschaffer/knife-solo/issues/268
  [274]: https://github.com/matschaffer/knife-solo/issues/274
  [278]: https://github.com/matschaffer/knife-solo/issues/278
  [279]: https://github.com/matschaffer/knife-solo/issues/279
  [281]: https://github.com/matschaffer/knife-solo/issues/281
  [284]: https://github.com/matschaffer/knife-solo/issues/284
  [285]: https://github.com/matschaffer/knife-solo/issues/285
  [286]: https://github.com/matschaffer/knife-solo/issues/286
  [287]: https://github.com/matschaffer/knife-solo/issues/287
  [289]: https://github.com/matschaffer/knife-solo/issues/289
  [295]: https://github.com/matschaffer/knife-solo/issues/295
  [296]: https://github.com/matschaffer/knife-solo/issues/296
  [298]: https://github.com/matschaffer/knife-solo/issues/298
  [300]: https://github.com/matschaffer/knife-solo/issues/300
* Tue Aug  6 2013 coolo@suse.com
- updated to version 0.3.0
  * *NOTE**: This release includes breaking changes. See [upgrade instructions](https://github.com/matschaffer/knife-solo/wiki/Upgrading-to-0.3.0) for more information.
  [#]# Changes and new features
  * BREAKING: Generate solo.rb based on knife.rb settings ([199])
  - `solo.rb` is not used and a warning is issued if it is still found
  - You have to specify the local cookbook etc. paths in `.chef/knife.rb`
  * BREAKING: Set root path with `--provisioning-path` or `knife[:provisioning_path]` and use ~/chef-solo by default ([1], [86], [125], [128], [177], [197])
  * BREAKING: Remove hard dependency on Librarian-Chef ([211])
  - If you use Librarian integration you need to install the librarian-chef gem yourself
  * Add Berkshelf integration ([227])
  * Automatically add librarian to cookbook paths when syncing ([226])
  * Add `--solo` option and `knife[:solo]` configuration option to `knife bootstrap` ([207])
  * `--prerelease` option to allow pre-release versions of chef omnibus or rubygem to be installed ([205])
  * Prepare/bootstrap now installs the same version of Chef that the workstation is running ([186])
  * Switch `--omnibus-version` flag to `--bootstrap-version` ([185])
  * Support `--override-runlist` option ([204])
  * Add proxy settings to the generated solo.rb ([254])
  * Support Fedora 18 and other new EL distros ([229], [51a581])
  * Support CloudLinux ([262])
  * Drop support for openSUSE 11
  * Upgrade chef-solo-search to v0.4.0
  * Add `--sudo-command` option to use custom remote 'sudo' command ([256])
  [#]# Fixes
  * Read protect the provision directory from the world ([1])
  * FreeBSD 9.1 support
  * OS X (especially 10.8) support ([209], [210])
  * Clear yum cache before installing rsync ([200])
  * Make sure "ca-certificates" package is installed on Debian ([213])
  * Ensure rsync is installed on openSUSE ([f43ba4])
  * Clean up bootstrap classes ([213])
  * Rsync dot files by default, exclude only VCS dirs ([d21756], [1d3485])
  * Standardize messaging across commands ([215], [d37162])
  * Librarian-Chef was not run by default when knife-solo was invoked from ruby ([221])
  * Fix `solo init` on Ruby 1.8 ([230])
  * Fix deprecated commands to include options and dependencies from the new ones ([233])
  * Parse Chef version even if chef-solo command prints warnings ([235], [238])
  * Upgrade CentOS in integration tests to 5.8 and 6.3 ([237])
  * Default to `lsb_release` for detecting the Linux distro and add support for RHEL based systems where /etc/issue is modified ([234], [242])
  * Create the directory for node_config if it does not exist ([253])
  * Accept trailing whitespace in passwords ([264])
* Fri Apr  5 2013 speilicke@suse.com
- Package LICENSE
* Tue Mar 26 2013 mvidner@suse.cz
- Initial packaging
